//---------------------------------------------------------------------------

// AppController.h  ShapefileToOpenClip

//---------------------------------------------------------------------------

// Copyright (c) 2004-2009 Pascal Brandt - All Rights Reserved

#import <Cocoa/Cocoa.h>
#import "ShapeFileView.h"


typedef enum{kSaveTIFF,kSavePDF} aSaveChoice;

@interface AppController : NSObject
{
  IBOutlet ShapeFileView*   mView;
  
  NSSavePanel*              savePanel;

  IBOutlet NSButton*        copyAsFeetBtn;
  IBOutlet NSButton*        copyAsMetersBtn;
  
  //IBOutlet NSButton*        saveAsTiffBtn;
  //IBOutlet NSButton*        saveAsPDFBtn;
  
  IBOutlet NSTextField*     zoomFactorText;
  IBOutlet NSTextField*     nbrObjectsText;

}

-(void)awakeFromNib;

- (long)nbrShapefiles;
- (void)displayNbrShapefiles;

- (void)displayZoomFactor;

- (IBAction)copyAsFeet:(id)sender;
- (IBAction)copyAsMeters:(id)sender;

//- (void)saveViewAs:(aSaveChoice)choice;

- (IBAction)open:(id)sender;

//- (IBAction)saveAsTiff:(id)sender;
//- (IBAction)saveAsPDF:(id)sender;

//- (NSData *)PDFForView:(NSView *)aView;
//- (NSData *)TIFFForView:(NSView *)aView;

@end
