//----------------------------------------------------------------------------------------------

// ShapePoint.m  ShapefileToOpenClip

//----------------------------------------------------------------------------------------------

// Copyright (c) 2004-2009 Pascal Brandt - All Rights Reserved

/*
 

*/
//----------------------------------------------------------------------------------------------

#import "ShapePoint.h"

@implementation ShapePoint

@synthesize east = mEast;
@synthesize north = mNorth;

- (id)initWithEast:(double)theEast North:(double)theNorth
{
  self = [super init];
  
  if (self) {
    if ((isnan(theEast)) || (isnan(theNorth))) {
      self = nil;
      //NSLog(@"ShapePoint initWithEast and nan's");
    }
    else {
      mEast = theEast;
      mNorth = theNorth;
    };
  }
  
  return self;
}

@end