//----------------------------------------------------------------------------------------------

// ShapefileList.h  ShapefileToOpenClip

//----------------------------------------------------------------------------------------------



#import <Cocoa/Cocoa.h>
#import "Shapefile.h"

@interface ShapefileList : NSObject
{
  NSRect          mBoundingBox;
  //double          mLineWidth;
  NSMutableArray* mObjs;
}

@property(readwrite,assign) NSRect boundingBox;
//@property(readwrite,assign) double lineWidth;

- (id)init;

- (void)reset;

- (void)addShapefile:(Shapefile*)theFile;
- (Shapefile*)shapeFileAtIndex:(long)N;

- (long)nbrShapefiles;

- (void)draw:(NSAffineTransform*)t;
- (void)openClipCopy:(NSAffineTransform*)t theScale:(double)theScale;

@end