//----------------------------------------------------------------------------------------------

// ShapefileUtils.cp

//----------------------------------------------------------------------------------------------

// Copyright:	© 2014 by Sequoia Aircraft Corporation., all rights reserved.

/*



*/
//----------------------------------------------------------------------------------------------


#import "ShapefileUtils.h"



//----------------------------------------------------------------------------------------------

void drawStringInRect(NSRect rect,NSString *str,int fontSize)
{
  NSLog(@"ShapefileUtils drawStringInRect");
  
  NSDictionary *attr = [NSDictionary dictionaryWithObject:[NSFont boldSystemFontOfSize:fontSize]
                                                   forKey:NSFontAttributeName];
	
  NSAttributedString *theStr = [[NSAttributedString alloc] initWithString:str attributes:attr];
	
  NSSize theSize = [theStr size];
	
  NSPoint pt = NSMakePoint((rect.size.width - theSize.width) / 2,
                           (rect.size.height - theSize.height) / 2);
	
  // Clear the rect
  rect.origin.x = 0;
  rect.origin.y = 0;
  [[NSColor whiteColor] set];
  NSRectFill(rect);

  [theStr drawAtPoint:pt];
}


//----------------------------------------------------------------------------------------------

